curl --request GET \
--url https://api.companyenrich.com/people/search/async/{jobId} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.companyenrich.com/people/search/async/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/people/search/async/{jobId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"requested_count": 123,
"total_matching": 123,
"exported_count": 123,
"credits_charged": 123,
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"results_url": "<string>",
"error_message": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get export job status
Cost: FREE - No credits deducted
Returns the current status of a person search export job. Once completed, includes the results_url to download the export results.
curl --request GET \
--url https://api.companyenrich.com/people/search/async/{jobId} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.companyenrich.com/people/search/async/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/people/search/async/{jobId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"requested_count": 123,
"total_matching": 123,
"exported_count": 123,
"credits_charged": 123,
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"results_url": "<string>",
"error_message": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
API Token used for authentication. Example: "Authorization: Bearer {token}"
Path Parameters
Response
OK
Unique identifier for the person search export job.
Current status of the job (pending, processing, completing, completed, failed).
pending, processing, completing, completed, failed Number of people requested for export.
Total number of people matching the search criteria.
Number of people exported in the results.
Total credits charged for this job.
Timestamp when the job was created.
Timestamp when the job started processing.
Timestamp when the job completed.
URL to download the person search export results (available when completed).
Error message if the job failed.